<?php
$categories = $block->getStoreCategories(true, false, true);
$categoryHelper = $block->getCategoryHelper();
?>


<select name="cat" id="category_search_select" class="form-control c-select select">
        <option value=""><?php echo __('In Category') ?></option>
    <?php
    foreach ($categories as $category):
        if (!$category->getIsActive()) {
            continue;
        }
        ?>
        <option cat-url="<?php echo $this->getCatUrl($category->getData('request_path')) ?>" value="<?php echo $category->getId() ?>"><?php echo $category->getName() ?></option>
        <?php if ($childrenCategories = $this->getChildCategories($category)): ?>
            <?php
            foreach ($childrenCategories as $childrenCategory):
                if (!$childrenCategory->getIsActive()) {
                    continue;
                }
                ?>
                <option cat-url="<?php echo $this->getCatUrl($childrenCategory->getData('request_path')) ?>" value="<?php echo $childrenCategory->getId() ?>" ><?php echo $childrenCategory->getName() ?></option>
            <?php endforeach; ?>
        <?php endif; ?>
    <?php endforeach; ?>
</select>


    <script type="text/javascript">
    require(['jquery', 'bootstraper'],function($){
 <?php if(isset($_GET['cat']) && !empty($_GET['cat'])): ?>
         var defaultCat = <?php echo $_GET['cat']; ?>;
 <?php else: ?>
     var defaultCat = '';
 <?php endif; ?>
$(document).ready(function() {
        function isEmpty(value) {
        return (value.length === 0) || (value == null) || /^\s+$/.test(value);
    }
     $('#category_search_select').val(defaultCat);

    $('#search_mini_form').submit(function (e){
             var value = $('#search').val();
            var selectValue = $('#category_search_select').val();
                 var cat_url = $("#category_search_select option[value='"+selectValue+"']").attr('cat-url');

             if (isEmpty(value) && !isEmpty(selectValue)){
               
            
                var cat_url = $("#category_search_select option[value='"+selectValue+"']").attr('cat-url');
                window.location.href = cat_url;
                     e.preventDefault();
                
            }
    });
    
});
    });
</script>

